<div class="container">
    <div class="flex-row layout-align-start-center">
        <mat-icon [routerLink]="['/admin/books']">keyboard_arrow_left</mat-icon>
                <div class="back-to-list">Back to list</div>
        </div>
<mat-card>
    <mat-card-content>
<form #bookForm="ngForm"class="flex-column">
    <div class="flex-row flex layout-align-space-between-center">
        <mat-form-field>
            <input matInput name="bookName" #bookNameInput="ngModel" type="text" placeholder="Book Name" [(ngModel)]="bookData.bookName" 
            [required]='true'  size="100">
            <mat-error *ngIf="bookNameInput.errors">
            <div *ngIf="bookNameInput.errors.required">This field is required</div>
            </mat-error>
        </mat-form-field>
        <img [src]="bookData.bookImage" alt="" defaultBookImage=""  height=200 width=200>
    </div>
    <mat-form-field>
        <textarea matInput name="bookDescription" #bookDescriptionInput="ngModel" type="text" placeholder="Book Description"[(ngModel)]="bookData.description"
         [required]='true'></textarea>
         <mat-error *ngIf="bookDescriptionInput.errors">
             <div *ngIf="bookDescriptionInput.errors.required">This field is required</div>
         </mat-error>
    </mat-form-field>
    <mat-form-field>
        <input matInput name="bookImage" #bookImageInput="ngModel" type="text" placeholder="Book Image"  [(ngModel)]="bookData.bookImage" [required]="true">
        <mat-error *ngIf="bookImageInput.errors">
            <div *ngIf="bookImageInput.errors.required">This field is required</div>
        </mat-error>
    </mat-form-field>
    <mat-form-field>
        <mat-select placeholder="Select Category" #categoryListInput="ngModel" name="categoryList" [(ngModel)]="bookData.catIdList" multiple>
          <mat-option *ngFor="let object of categoryData" [value]="object.catId" >{{ object.categoryName }}</mat-option>
        </mat-select>
    </mat-form-field>
    <mat-form-field>
        <input matInput name="author" #authorInput="ngModel" type="text" placeholder="Book Author"  [(ngModel)]="bookData.author" [required]="true">
        <mat-error *ngIf="authorInput.errors">
            <div *ngIf="authorInput.errors.required">This field is required</div>
        </mat-error>
    </mat-form-field>
    <mat-form-field>
        <input matInput name="bookQuantity" #bookQuantityInput="ngModel" min="0" type="number" placeholder="Book Quantity"  [(ngModel)]="bookData.totalBooks" [required]="true">
        <mat-error *ngIf="bookQuantityInput.errors">
            <div *ngIf="bookQuantityInput.errors.required">This field is required</div>
        </mat-error>
    </mat-form-field>
    <div>
        <button type="button" mat-raised-button color="primary" (click)="onSubmitClick(bookForm)"
        [disabled]="bookForm.invalid" [routerLink]="['/admin/books']">Submit</button>
    </div>
</form>
</mat-card-content>
</mat-card>
</div>
